<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>Uses of Interface org.apache.poi.ss.usermodel.DataValidationConstraint (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.apache.poi.ss.usermodel.DataValidationConstraint (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/DataValidationConstraint.html"
               target="_top">Frames</a></li>
        <li><a href="DataValidationConstraint.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
    <h2 title="Uses of Interface org.apache.poi.ss.usermodel.DataValidationConstraint" class="title">Uses of
        Interface<br>org.apache.poi.ss.usermodel.DataValidationConstraint</h2>
</div>
<div class="classUseContainer">
    <ul class="blockList">
        <li class="blockList">
            <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                   summary="Use table, listing packages, and an explanation">
                <caption><span>Packages that use <a
                        href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                        title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></span><span
                        class="tabEnd">&nbsp;</span></caption>
                <tr>
                    <th class="colFirst" scope="col">Package</th>
                    <th class="colLast" scope="col">Description</th>
                </tr>
                <tbody>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.hssf.usermodel">org.apache.poi.hssf.usermodel</a></td>
                    <td class="colLast">
                        <div class="block">usermodel package maps HSSF low level strutures to familiar workbook/sheet
                            model
                        </div>
                    </td>
                </tr>
                <tr class="rowColor">
                    <td class="colFirst"><a href="#org.apache.poi.ss.usermodel">org.apache.poi.ss.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                <tr class="altColor">
                    <td class="colFirst"><a href="#org.apache.poi.xssf.usermodel">org.apache.poi.xssf.usermodel</a></td>
                    <td class="colLast">&nbsp;</td>
                </tr>
                </tbody>
            </table>
        </li>
        <li class="blockList">
            <ul class="blockList">
                <li class="blockList"><a name="org.apache.poi.hssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                   title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a> in <a
                            href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/DVConstraint.html"
                                    title="class in org.apache.poi.hssf.usermodel">DVConstraint</a></span></code>
                                <div class="block">Data Validation Constraint</div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createCustomConstraint-java.lang.String-">createCustomConstraint</a></span>(java.lang.String&nbsp;formula)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createDateConstraint-int-java.lang.String-java.lang.String-java.lang.String-">createDateConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2,
                                java.lang.String&nbsp;dateFormat)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createDecimalConstraint-int-java.lang.String-java.lang.String-">createDecimalConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createExplicitListConstraint-java.lang.String:A-">createExplicitListConstraint</a></span>(java.lang.String[]&nbsp;listOfValues)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createFormulaListConstraint-java.lang.String-">createFormulaListConstraint</a></span>(java.lang.String&nbsp;listFormula)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createIntegerConstraint-int-java.lang.String-java.lang.String-">createIntegerConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createNumericConstraint-int-int-java.lang.String-java.lang.String-">createNumericConstraint</a></span>(int&nbsp;validationType,
                                int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createTextLengthConstraint-int-java.lang.String-java.lang.String-">createTextLengthConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createTimeConstraint-int-java.lang.String-java.lang.String-">createTimeConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidation.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidation.html#getValidationConstraint--">getValidationConstraint</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">HSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidationHelper.html#createValidation-org.apache.poi.ss.usermodel.DataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-">createValidation</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;constraint,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;cellRangeAddressList)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing constructors, and an explanation">
                        <caption><span>Constructors in <a
                                href="../../../../../../org/apache/poi/hssf/usermodel/package-summary.html">org.apache.poi.hssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colOne" scope="col">Constructor and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/hssf/usermodel/HSSFDataValidation.html#HSSFDataValidation-org.apache.poi.ss.util.CellRangeAddressList-org.apache.poi.ss.usermodel.DataValidationConstraint-">HSSFDataValidation</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                    title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;regions,
                                <a href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                   title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;constraint)</code>
                                <div class="block">Constructor which initializes the cell range on which this object
                                    will be
                                    applied
                                </div>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.ss.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                   title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a> in <a
                            href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createCustomConstraint-java.lang.String-">createCustomConstraint</a></span>(java.lang.String&nbsp;formula)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createDateConstraint-int-java.lang.String-java.lang.String-java.lang.String-">createDateConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2,
                                java.lang.String&nbsp;dateFormat)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createDecimalConstraint-int-java.lang.String-java.lang.String-">createDecimalConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createExplicitListConstraint-java.lang.String:A-">createExplicitListConstraint</a></span>(java.lang.String[]&nbsp;listOfValues)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createFormulaListConstraint-java.lang.String-">createFormulaListConstraint</a></span>(java.lang.String&nbsp;listFormula)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createIntegerConstraint-int-java.lang.String-java.lang.String-">createIntegerConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createNumericConstraint-int-int-java.lang.String-java.lang.String-">createNumericConstraint</a></span>(int&nbsp;validationType,
                                int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createTextLengthConstraint-int-java.lang.String-java.lang.String-">createTextLengthConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createTimeConstraint-int-java.lang.String-java.lang.String-">createTimeConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">DataValidation.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html#getValidationConstraint--">getValidationConstraint</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/ss/usermodel/package-summary.html">org.apache.poi.ss.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">DataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationHelper.html#createValidation-org.apache.poi.ss.usermodel.DataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-">createValidation</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;constraint,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;cellRangeAddressList)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
                <li class="blockList"><a name="org.apache.poi.xssf.usermodel">
                    <!--   -->
                </a>
                    <h3>Uses of <a href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                   title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a> in <a
                            href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a>
                    </h3>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing classes, and an explanation">
                        <caption><span>Classes in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that implement <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Class and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code>class&nbsp;</code></td>
                            <td class="colLast"><code><span class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationConstraint.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFDataValidationConstraint</a></span></code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> that return <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createCustomConstraint-java.lang.String-">createCustomConstraint</a></span>(java.lang.String&nbsp;formula)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createDateConstraint-int-java.lang.String-java.lang.String-java.lang.String-">createDateConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2,
                                java.lang.String&nbsp;dateFormat)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createDecimalConstraint-int-java.lang.String-java.lang.String-">createDecimalConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createExplicitListConstraint-java.lang.String:A-">createExplicitListConstraint</a></span>(java.lang.String[]&nbsp;listOfValues)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createFormulaListConstraint-java.lang.String-">createFormulaListConstraint</a></span>(java.lang.String&nbsp;listFormula)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createIntegerConstraint-int-java.lang.String-java.lang.String-">createIntegerConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createNumericConstraint-int-int-java.lang.String-java.lang.String-">createNumericConstraint</a></span>(int&nbsp;validationType,
                                int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createTextLengthConstraint-int-java.lang.String-java.lang.String-">createTextLengthConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createTimeConstraint-int-java.lang.String-java.lang.String-">createTimeConstraint</a></span>(int&nbsp;operatorType,
                                java.lang.String&nbsp;formula1,
                                java.lang.String&nbsp;formula2)</code>&nbsp;
                            </td>
                        </tr>
                        <tr class="rowColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></code>
                            </td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidation.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidation.html#getValidationConstraint--">getValidationConstraint</a></span>()</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                    <table class="useSummary" border="0" cellpadding="3" cellspacing="0"
                           summary="Use table, listing methods, and an explanation">
                        <caption><span>Methods in <a
                                href="../../../../../../org/apache/poi/xssf/usermodel/package-summary.html">org.apache.poi.xssf.usermodel</a> with parameters of type <a
                                href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a></span><span
                                class="tabEnd">&nbsp;</span></caption>
                        <tr>
                            <th class="colFirst" scope="col">Modifier and Type</th>
                            <th class="colLast" scope="col">Method and Description</th>
                        </tr>
                        <tbody>
                        <tr class="altColor">
                            <td class="colFirst"><code><a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidation.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidation</a></code></td>
                            <td class="colLast"><span class="typeNameLabel">XSSFDataValidationHelper.</span><code><span
                                    class="memberNameLink"><a
                                    href="../../../../../../org/apache/poi/xssf/usermodel/XSSFDataValidationHelper.html#createValidation-org.apache.poi.ss.usermodel.DataValidationConstraint-org.apache.poi.ss.util.CellRangeAddressList-">createValidation</a></span>(<a
                                    href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
                                    title="interface in org.apache.poi.ss.usermodel">DataValidationConstraint</a>&nbsp;constraint,
                                <a href="../../../../../../org/apache/poi/ss/util/CellRangeAddressList.html"
                                   title="class in org.apache.poi.ss.util">CellRangeAddressList</a>&nbsp;cellRangeAddressList)</code>&nbsp;
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </li>
            </ul>
        </li>
    </ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../../overview-summary.html">Overview</a></li>
        <li><a href="../package-summary.html">Package</a></li>
        <li><a href="../../../../../../org/apache/poi/ss/usermodel/DataValidationConstraint.html"
               title="interface in org.apache.poi.ss.usermodel">Class</a></li>
        <li class="navBarCell1Rev">Use</li>
        <li><a href="../package-tree.html">Tree</a></li>
        <li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li>Prev</li>
        <li>Next</li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../../index.html?org/apache/poi/ss/usermodel/class-use/DataValidationConstraint.html"
               target="_top">Frames</a></li>
        <li><a href="DataValidationConstraint.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
